diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index 1eff6abba372719807e5168c1f488fbbc21c8e26..927c856b230262099dd428f524fc9718821a8afb 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -49,7 +49,7 @@ profile="t-profile-$$"
 profile_alt="t-profile-alt-$$"
 rm -f "$profile"
 
-trap 'rm -f "$profile" "$profile_alt" "$profile-"[0-9]* ; rm -rf t-home-'"$$" EXIT
+trap 'rm -f "$profile" "$profile_alt" "$profile-"[0-9]* "$profile_alt-"[0-9]* ; rm -rf t-home-'"$$" EXIT
 
 
 guix package --bootstrap -p "$profile" -i guile-bootstrap